import katerlib.*;
import TUIO.*;

KaterKontrol katerkontrol;
TuioProcessing tuioClient;
int[] katerIDs = {8,9};

void setup() {
  size(800,600);
  tuioClient= new TuioProcessing(this);
  katerkontrol = new KaterKontrol(this, tuioClient, katerIDs);
  katerkontrol.KaterIdGoTo(8,400,300);
}
void draw() {
  background(125);
}

// these callback methods are called whenever a TUIO event occurs

// called when an object is added to the scene
void addTuioObject(TuioObject tobj) {
//  println("add object "+tobj.getSymbolID()+" ("+tobj.getSessionID()+") "+tobj.getX()+" "+tobj.getY()+" "+tobj.getAngle());
}

// called when an object is removed from the scene
void removeTuioObject(TuioObject tobj) {
//  println("remove object "+tobj.getSymbolID()+" ("+tobj.getSessionID()+")");
}

// called when an object is moved
void updateTuioObject (TuioObject tobj) {
//  println("update object "+tobj.getSymbolID()+" ("+tobj.getSessionID()+") "+tobj.getX()+" "+tobj.getY()+" "+tobj.getAngle()+" "+tobj.getMotionSpeed()+" "+tobj.getRotationSpeed()+" "+tobj.getMotionAccel()+" "+tobj.getRotationAccel());
}

// called when a cursor is added to the scene
void addTuioCursor(TuioCursor tcur) {
//  println("add cursor "+tcur.getCursorID()+" ("+tcur.getSessionID()+ ") " +tcur.getX()+" "+tcur.getY());
}

// called when a cursor is moved
void updateTuioCursor (TuioCursor tcur) {
//  println("update cursor "+tcur.getCursorID()+" ("+tcur.getSessionID()+ ") " +tcur.getX()+" "+tcur.getY()+" "+tcur.getMotionSpeed()+" "+tcur.getMotionAccel());
}

// called when a cursor is removed from the scene
void removeTuioCursor(TuioCursor tcur) {
//  println("remove cursor "+tcur.getCursorID()+" ("+tcur.getSessionID()+")");
}

// called when a Kater has started
void katerStarted( Kater k ){
  println("Kater with id "+k.getID()+" has started");
}

// called when a Kater has finished
void katerFinished( Kater k ){
  println("Kater with id "+k.getID()+" has finished");
}

// called after each message bundle
// representing the end of an image frame
void refresh(TuioTime bundleTime) { 
  redraw();
}
